<id>
Split/Splice SP1/1.1
</id>

<version>
1.0 beta 2
</version>

<mod info>
This mod adds 2 new admin functions to the thread display:

	Split -  Move off-topic replies from the current thread to a new thread.
		 Use the drop down selector to choose which will be the first post of the new thread,
		 consisting of that post and all subsequent posts. These posts will be replaced in the
		 original thread by a "moved to.." notice.

	Splice - Move the contents of the current thread onto the end of another thread.
		 Use the drop down selector to choose which thread the posts will be moved to. These
		 posts will be replaced in the original thread by a "moved to.." notice.

	Split/Splice - Special advanced version which combines the above functions into a single process and includes several extra options.


To Install:
-----------
	- Install the mod file as usual and upload the modified files.
	  (See the BoardMod FAQ if you do not know how to do this).
	- Place SplitSplice.pl in your Sources directory, and chmod it the same as the rest of the files there.
	- Place the images into your YaBBImages directory.
	- Go to the Forum Preferences and Settings, and tick the relevent checkbox if you want to use the advanced version.
</mod info>

<author>
BHRA Webmaster
</author>

<homepage>
http://www.bhra.org.uk
</homepage>

###############################################################################

<edit file>
Sources/Display.pl
</edit file>

<search for>
        &nbsp;<a href="$cgi;action=movethread;thread=$viewnum">$img{'admin_move'}</a>$menusep
</search for>

<add after>
~;

	if($ss_advanced eq "1") { $yymain .= qq~
        <a href="$cgi;action=split_splice;thread=$viewnum">$img{'admin_split_splice'}</a>$menusep~;
	} else { $yymain .= qq~
        <a href="$cgi;action=split;thread=$viewnum">$img{'admin_split'}</a>$menusep
        <a href="$cgi;action=splice;thread=$viewnum">$img{'admin_splice'}</a>$menusep~;
	}

	$yymain .= qq~
</add after>

###############################################################################

<edit file>
Sources/AdminEdit.pl
</edit file>

<search for>
	if ($showmarkread) { $smreadchecked = "checked" }
</search for>

<add after>
	if ($ss_advanced) { $ssadvchecked = ' checked'; }
</add after>

<search for>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'618'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type=checkbox name="showmarkread" $smreadchecked></td>
  </tr><tr>
</search for>

<add after>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><font size="2">$txt{'623a'}</font></td>
    <td class="windowbg2" bgcolor="$color{'windowbg2'}"><input type="checkbox" name="ss_advanced"$ssadvchecked></td>
  </tr><tr>
</add after>

<search for>
	$guestaccess = $guestaccess ? 0 : 1;
</search for>

<add after>
	$ss_advanced = $FORM{'ss_advanced'} ? 1 : 0;
</add after>

<search for>
\$showmarkread = $showmarkread;				# Set to 1 to display and enable the mark as read buttons
</search for>

<add after>
\$ss_advanced = $ss_advanced;				# Set to 1 if you want to use the advanced split/splice function
</add after>

###############################################################################

<edit file>
YaBB.pl
</edit file>

<search for>
	elsif ($action eq 'sticky') { require "$sourcedir/Subs.pl"; &Sticky; }
</search for>

<add after>
	elsif ($action eq 'split') { require "$sourcedir/SplitSplice.pl"; &Split_Splice; }
	elsif ($action eq 'splice') { require "$sourcedir/SplitSplice.pl"; &Split_Splice; }
	elsif ($action eq 'split_splice') { require "$sourcedir/SplitSplice.pl"; &Split_Splice; }
	elsif ($action eq 'split_splice2') { require "$sourcedir/SplitSplice.pl"; &Split_Splice2; }
</add after>

###############################################################################

<edit file>
english.lng
</edit file>

<search for>
$txt{'619'} = "Send welcome e-mail to users when you do not have mail password turned on?";
</search for>

<add after>
$txt{'620a'} = "Split Topic";
$txt{'621a'} = "Splice Topic";
$txt{'622a'} = "Split/Splice";
$txt{'623a'} = "Use Advanced Split/Splice Mode?";
</add after>

<search for>
	$img{'admin_sticky'} = qq~<font size="1" class="imgbg">$txt{'781'}</font>~;
</search for>

<add after>
	$img{'admin_split'} = qq~<font size="1" class="imgbg">$txt{'620a'}</font>~;
	$img{'admin_splice'} = qq~<font size="1" class="imgbg">$txt{'621a'}</font>~;
	$img{'admin_split_splice'} = qq~<font size="1" class="imgbg">$txt{'622a'}</font>~;
</add after>

<search for>
	$img{'admin_sticky'} = qq~<img src="$imagesdir/sticky.gif" border="0" alt="$txt{'781'}"> <font size="1" class="imgbg">$txt{'781'}</font>~;
</search for>

<add after>
	$img{'admin_split'} = qq~<img src="$imagesdir/admin_split.gif" border="0" alt="$txt{'620a'}"> <font size="1" class="imgbg">$txt{'620a'}</font>~;
	$img{'admin_splice'} = qq~<img src="$imagesdir/admin_splice.gif" border="0" alt="$txt{'621a'}"> <font size="1" class="imgbg">$txt{'621a'}</font>~;
	$img{'admin_split_splice'} = qq~<img src="$imagesdir/admin_split_splice.gif" border="0" alt="$txt{'622a'}"> <font size="1" class="imgbg">$txt{'622a'}</font>~;
</add after>

